Bug 311561 - Brazil DST changes
Summary: Brazil DST changes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
urgent
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-28 18:58 UTC by Alexandre Oliva
Modified: 2015-05-05 01:33 UTC (History)
1 user (show)

Fixed In Version: F-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 21:19:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2007-09-28 18:58:47 UTC
A decree that defines the DST rules for 2007/2008 Summer in Southern Brazil was
published two days ago.  The rules from last year unfortunately are off by a
couple of weeks.  This affects all active distros, and there are only two weeks
left before the effects become visible.
https://www.in.gov.br/materias/xml/do/secao1/2898716.xml

Paul Eggert posted a patch including this fix yesterday:
http://article.gmane.org/gmane.comp.time.tz/1876

Version-Release number of selected component (if applicable):
tzdata-2007g-2.fc8

Actual results:
switches into DST on Nov 3-4, and out of it on Feb 23-24

$ TZ=America/Sao_Paulo date -d 'Oct 13 2007 23:59:59'
Sat Oct 13 23:59:59 BRT 2007
$ TZ=America/Sao_Paulo date -d 'Oct 14 2007 00:00'
Sun Oct 14 00:00:00 BRT 2007
$ TZ=America/Sao_Paulo date -d 'Oct 14 2007 00:59:59'
Sun Oct 14 00:59:59 BRT 2007
$ TZ=America/Sao_Paulo date -d 'Oct 14 2007 01:00'
Sun Oct 14 01:00:00 BRT 2007

$ TZ=America/Sao_Paulo date -d 'Feb 16 2008 23:59:59'
Sat Feb 16 23:59:59 BRST 2008
$ TZ=America/Sao_Paulo date -d 'Feb 17 2008 00:00 3601 seconds ago'
Sat Feb 16 22:59:59 BRST 2008
$ TZ=America/Sao_Paulo date -d 'Feb 17 2008 00:00 3600 seconds ago'
Sat Feb 16 23:00:00 BRST 2008
$ TZ=America/Sao_Paulo date -d 'Feb 17 2008 00:00'
Sun Feb 17 00:00:00 BRST 2008


Expected results:
should switch on Oct 13-14, and back on Feb 16-17

$ TZ=America/Sao_Paulo date -d 'Oct 13 2007 23:59:59'
Sat Oct 13 23:59:59 BRT 2007
$ TZ=America/Sao_Paulo date -d 'Oct 14 2007 00:00'
date: Invalid date `Oct 14 2007 00:00'
$ TZ=America/Sao_Paulo date -d 'Oct 14 2007 00:59:59'
date: Invalid date `Oct 14 2007 00:59:59'
$ TZ=America/Sao_Paulo date -d 'Oct 14 2007 01:00'
Sun Oct 14 01:00:00 BRST 2007

$ TZ=America/Sao_Paulo date -d 'Feb 16 2008 23:59:59'
Sat Feb 16 23:59:59 BRST 2008
$ TZ=America/Sao_Paulo date -d 'Feb 17 2008 00:00 3601 seconds ago'
Sat Feb 16 23:59:59 BRST 2008
$ TZ=America/Sao_Paulo date -d 'Feb 17 2008 00:00 3600 seconds ago'
Sat Feb 16 23:00:00 BRT 2008
$ TZ=America/Sao_Paulo date -d 'Feb 17 2008 00:00'
Sun Feb 17 00:00:00 BRT 2008

Additional info:

Comment 1 Petr Machata 2007-09-29 20:05:26 UTC
Thanks for heads up.  I will release new tzdata next week.

Comment 2 Petr Machata 2007-10-03 20:36:53 UTC
Rawhide already has this tzdata, and it's been just pushed for F 7.  It's on the
way for FC 6.

Comment 3 Alexandre Oliva 2007-10-03 20:44:03 UTC
Rawhide has 2007g, which is still out of date.  Something newer is needed to fix
the problem.

Comment 4 Petr Machata 2007-10-03 21:19:17 UTC
Today's rawhide report:

tzdata-2007h-1.fc8
------------------
* Mon Oct 01 2007 Petr Machata <pmachata@redhat.com> - 2007h-1
- Upstream 2007h
  - Brazil will observe DST from 2007-10-14 to 2008-02-17
  - Egypt and Gaza switched earlier than we expected
  - Iran will resume DST next year
  - Venezuela is scheduled to change TZ to -4:30 on January 1

It probably just takes a bit of a time before it's reflected at the mirror near
you, or Fedora servers.


Note You need to log in before you can comment on or make changes to this bug.